From 5a0a0147958009185dd9de9f2efa57ca77732708 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?An=C3=ADbal=20Lim=C3=B3n?= <anibal.limon@linaro.org>
Date: Tue, 14 Dec 2021 11:35:45 -0600
Subject: [PATCH] ucm2/Qualcomm/apq8096: Change plughw to hw to access card
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Signed-off-by: Aníbal Limón <anibal.limon@linaro.org>
---
 ucm2/Qualcomm/apq8096/HDMI.conf | 2 +-
 ucm2/Qualcomm/apq8096/HiFi.conf | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/ucm2/Qualcomm/apq8096/HDMI.conf b/ucm2/Qualcomm/apq8096/HDMI.conf
index 5bdf07e..e9967e0 100644
--- a/ucm2/Qualcomm/apq8096/HDMI.conf
+++ b/ucm2/Qualcomm/apq8096/HDMI.conf
@@ -28,6 +28,6 @@ SectionDevice."HDMI" {
 
 	Value {
 		PlaybackPriority 200
-		PlaybackPCM "plughw:${CardId}"
+		PlaybackPCM "hw:${CardId}"
 	}
 }
diff --git a/ucm2/Qualcomm/apq8096/HiFi.conf b/ucm2/Qualcomm/apq8096/HiFi.conf
index 89280d7..c60062e 100644
--- a/ucm2/Qualcomm/apq8096/HiFi.conf
+++ b/ucm2/Qualcomm/apq8096/HiFi.conf
@@ -68,7 +68,7 @@ SectionDevice."Headphones" {
 
 	Value {
 		PlaybackPriority 100
-		PlaybackPCM "plughw:${CardId},1"
+		PlaybackPCM "hw:${CardId},1"
 	}
 }
 
@@ -94,7 +94,7 @@ SectionDevice."Headset" {
 
 	Value {
 		CapturePriority 100
-		CapturePCM "plughw:${CardId},2"
+		CapturePCM "hw:${CardId},2"
 		CaptureChannels 1
 	}
 }
-- 
2.34.1

